
#ifndef AMMUNITION_STRING_H
#define AMMUNITION_STRING_H

typedef unsigned int size_t;

/*
  Forward declaration of functions
*/

__attribute__((always_inline)) static inline void *
ammunition_memcpy(void *, const void *, size_t);
__attribute__((always_inline)) static inline void *
ammunition_memset(void *, int, size_t);
__attribute__((always_inline)) static inline int
ammunition_memcmp(const void *mem1, const void *mem2, size_t size);
__attribute__((always_inline)) static inline void *
ammunition_memmove(void *s1, const void *s2, size_t n);
__attribute__((always_inline)) static inline int
ammunition_strcmp(const char *str1, const char *str2);

#endif /* AMMUNITION_STRING_H */
